react-native android studio编译报错



  • 版本信息

    react:16.9.0
    react-native:0.61.2
    build.gradle下的build:gradle:3.4.2 (本地.gradle文件下有对应版本文件)
    gradle-wrapper.properties下的distributionUrl->gradle-5.5-all.zip(本地.gradle文件下有对应的版本文件)
    

    报错内容
    项目使用Android Studio编译的时候,一直报错,具体报错内容为

    ERROR: Unable to resolve dependency for ':app@debug/compileClasspath': Could not download imagepipeline.aar (com.facebook.fresco:imagepipeline:2.0.0)
    Show Details
    Affected Modules: app
    

    个人尝试解决的办法

    • 从报错的内容来看,是提示某个依赖下载失败,然后也尝试修改了Android Studio的代理(代理配置并测试连接好之后)重新编译,但还是提示相同的错误(也尝试过在不同时间段去进行代理下载)

    • Google时,有文章指出是gradle版本以及下载问题,但是通过对比发现,我项目的gradle版本是满足的

    目前网上提供的解决解决办法都一一尝试了,无赖还是解决不了这个问题,希望能得到各位小伙伴的帮助,谢谢



  • 希望能得到各位小伙伴的帮助



  • 仍然是翻墙(代理)问题


Log in to reply